staticfloat opened a new pull request #10407: Install jemalloc for armv7, don't 
use jemalloc on armv6
URL: https://github.com/apache/incubator-mxnet/pull/10407
 
 
   ## Description ##
   Docker CI builds fail due to lack of `libjemalloc.so` within the docker 
build environment.
   
   ## Checklist ##
   ### Essentials ###
   Please feel free to remove inapplicable items for your PR.
   - [X] Changes are complete (i.e. I finished coding on this PR)
   - [X] Code is well-documented: 
   - [X] To the my best knowledge, examples are either not affected by this 
change, or have been fixed to be compatible with this change
   
   ## Comments ##
   Note that this disables jemalloc on armv6 because I spent 5 minutes trying 
to build it for armv6, didn't like the look of the errors I was getting, then 
tried to install it via:
   
   ```
   dpkg --add-architecture armel
   apt update && apt install -y libjemalloc-dev:armel
   ```
   
   But that wanted to install the whole `gcc` base set of packages within the 
`armv6` cross-compiler docker image, and I didn't want to then have to fix the 
fact that the wrong compilers were getting installed within the docker image.  
If you want `libjemalloc` on armv6, you should probably do something like the 
above.

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
us...@infra.apache.org


With regards,
Apache Git Services

Reply via email to